apiVersion: v1
kind: Service
metadata:
  name: prod-redis-nodeport
spec:
  externalTrafficPolicy: Cluster
  ports:
  - name: redis
    nodePort: 30379
    port: 6379
    protocol: TCP
    targetPort: 6379
  selector:
    app.kubernetes.io/instance: prod-redis
    app.kubernetes.io/name: redis
  sessionAffinity: None
  type: NodePort
